Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Dec 2021 18:56:39 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 16 Dec 2021 18:42:21 +0300
> 
> > Does that font have a 'regular' weight variety?
> 
> I'm not sure how to check. But in the font viewer, in the details,
> Inconsolata has "Style: Medium", and Inconsolata_dz has "Style: dz".
> 
> Most of the others (including InconsolataLGC) have "Regular" in that field.
> 
> > If not, I think this
> > is a variant of the same issue I fixed in bug#51768: we now request a
> > 'regular' weight when a face specifies the family, and a font which
> > doesn't have 'regular' is rejected.  So maybe the kludge that I added
> > to font.c only for MS-Windows should be in effect on Posix systems as
> > well?
> 
> If you have a patch, I can test.

There's part of the font_delete_unmatched function that's conditioned
on HAVE_NTGUI.  If you remove the condition (so that the code there is
unconditionally compiled) and rebuild, does the problem go away?